org.w3c.dom.xpath

## Interface XPathNSResolver

    public interface XPathNSResolver

The `XPathNSResolver` interface permit `prefix` strings in the expression to be properly bound to `namespaceURI` strings. `XPathEvaluator` can construct an implementation of `XPathNSResolver` from a node, or the interface may be implemented by any application.

See also the Document Object Model (DOM) Level 3 XPath Specification.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `lookupNamespaceURI(java.lang.String prefix)` Look up the namespace URI associated to the given namespace prefix.

### Method Detail

#### lookupNamespaceURI

    java.lang.String lookupNamespaceURI(java.lang.String prefix)

Look up the namespace URI associated to the given namespace prefix. The XPath evaluator must never call this with a `null` or empty argument, because the result of doing this is undefined.

Parameters:
  `prefix` - The prefix to look for.
Returns:
  Returns the associated namespace URI or `null` if none is found.